<template>

 	<!-- Wrapper -->
	<div id="wrapper">


		<!-- Recent Blog Posts -->
		<section class="fullwidth border-top margin-top-70 padding-top-75 padding-bottom-75" data-background-color="#fff">
			<div class="container">

				<div class="row">
					<div class="col-md-12">
						<h3 class="headline centered margin-bottom-45">
							Welcome to our Outfit Adviser Services
						</h3>
					</div>
				</div>

				<div class="row">
					<!-- Blog Post Item -->
					<div class="col-md-6">
						<a href="pages-blog-post.html" class="blog-compact-item-container">
							<div class="blog-compact-item">
								<img src="/static/images/clothes1.jpg" alt="">
								<div class="blog-compact-item-content">
									<h3>Link your Instagram account</h3>
									<p>Please connect with your instagram account to give us some informations.</p>
								</div>
							</div>
						</a>
					</div>
					<!-- Blog post Item / End -->

					<!-- Blog Post Item -->
					<div class="col-md-6">
						<a href="pages-blog-post.html" class="blog-compact-item-container">
							<div class="blog-compact-item">
								<img src="/static/images/clothes2.jpg" alt="">
								<div class="blog-compact-item-content">
									<h3>Suggestions that matches the weather and your tastes</h3>
									<p>Get full suggestions according to current weather and your matches.</p>
								</div>
							</div>
						</a>
					</div>
					<!-- Blog post Item / End -->

					<!-- Blog Post Item -->
			<!--		<div class="col-md-4">
						<a href="pages-blog-post.html" class="blog-compact-item-container">
							<div class="blog-compact-item">
								<img src="/static/images/clothes3.jpg" alt="">
								<div class="blog-compact-item-content">
									<h3>The Best Cofee Shops In Sydney Neighborhoods</h3>
									<p>Sed sed tristique nibh iam porta volutpat finibus. Donec in aliquet urneget mattis lorem. Pellentesque pellentesque.</p>
								</div>
							</div>
						</a>
					</div>-->
					<!-- Blog post Item / End -->
				
					<div class="col-md-12 centered-content">
						<a v-if="connectedUser==true" href @click="onSubmit" class="button border margin-top-10">
            Analyse</a>
						<a v-if="connectedUser==undefined" href="http://34.244.196.28:443/outfit/authorize" @click="instagramConnection()" class="button border margin-top-10">
            Connect with Instagram</a>
							
					</div>
	<div class="cover-spin" v-if="loading">
      <div class="circle-loading">
          <circle-8 style="margin-left: 25%;"></circle-8>
            <h3 style="color:#fff;margin-left: 70px;">Please wait until the process of analyzing your photos is finished!</h3>
            <h4 style="color:#fff;margin-left: 150px;">You will be redirected to Outfit Suggestions services</h4>
      </div>
				</div>
				</div>

			</div>
		</section>
		<!-- Recent Blog Posts / End -->


	</div>
	<!-- Wrapper / End -->

</template>
<script>
import VueLocalStorage from "vue-localstorage";
import Vue from "vue";
import OutfitService from "@/services/OutfitService";
import axios from "axios";
import Circle8 from "vue-loading-spinner/src/components/Circle8";
Vue.use(VueLocalStorage);
var connectedUser ;

export default {
  name: "outfit",
  components: {
    Circle8
  },
  data() {
    return {
      msg: "Welcome to Your Outfit Advisor",
      loading: false,
			connectedUser:  connectedUser
			
    };
  },
  mounted() {
	//	var self = this;
		var array = [];
		this.getOutfit();
		array.push(JSON.parse(Vue.localStorage.get("user")));
		array.forEach(element => {
			connectedUser = element.data.instagramConnected ;
			console.log(element.data.instagramConnected)
			
			this.connectedUser = connectedUser
			console.log(this.connectedUser)
		});

  },
  methods: {
    async getOutfit() {
      const response = await OutfitService.outfitService();
      // this.posts = response.data
    },
    redirection: function() {
      this.$router.push({
        name: "home"
      });
    },
    instagramConnection() {
      var self = this;
      axios
        .post("http://34.244.196.28:443/users/instagramConnection")
        .then(response => {
          axios
            .get("http://34.244.196.28:443/users/refreshLocalStorage")
            .then(response2 => {
              Vue.localStorage.set("user", JSON.stringify(response2));
              self.$router.push({
                name: "home"
              });
            })
            .catch(e => {
              console.log(e);
            });
        });
    },
    async onSubmit(evt) {
      evt.preventDefault();
      var self = this;

      self.loading = true;
      return await axios
        .get("http://34.244.196.28:443/outfit/outfitService")
        .then(response => {
          self.loading = false;
          self.$router.push("/OutfitSuggestion");
          console.log("loula");
        })
        .catch(e => {
          console.log(e);
        });
    }
  }
};
</script>

